###

###

###

###

###

###

    SETENV(3)           Linux Programmer's Manual           SETENV(3)

    NAME
           setenv - change or add an environment variable

    SYNOPSIS
           #include <stdlib.h>

           int setenv(const char *name, const char *value, int overwrite);

           void unsetenv(const char *name);

    DESCRIPTION
           The  setenv() function adds the variable name to the envi-
           ronment with the value value, if  name  does  not  already
           exist.   If  name  does exist in the environment, then its
           value is changed to value if  overwrite  is  non-zero;  if
           overwrite  is zero, then the value of name is not changed.

           The unsetenv() function deletes the variable name from the
           environment.

    RETURN VALUE
           The  setenv()  function  returns zero on success, or -1 if
           there was insufficient space in the environment.

    CONFORMING TO
           BSD 4.3

### SEE ALSO

getenv, putenv,

###

    BSD                       April 4, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0